{% extends 'base.html' %}
{% load static %}


{% block content %}

<div class="container-fluid mt-6">
    <div class="row">
        <div class="col-xl-8 order-xl-1">
            <div class="card">
                <div class="card-header">
                    <form action="{% url 'edit-product' product_form.instance.id %}" method="POST"
                          enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="row align-items-center">

                            <div class="col-8">
                                <h3 class="mb-0">Atualizar produto</h3>
                            </div>
                            <div class="col-4 text-right">
                                <button type="submit" class="btn btn-lg btn-primary">Salvar alterações</button>
                            </div>

                        </div>
                        <div class="card-body">

                            <h6 class="heading-small text-muted mb-4">Informações sobre o produto</h6>
                            <div class="pl-lg-4">
                                <div class="row">
                                    {% for form in product_form %}
                                    <div class="col-lg-10">
                                        <div class="foprm-group">
                                            {% if form.name == 'image' or form.name == 'voucher_image' %}
                                            {{ form.label }}
                                            {{ form }}
                                            {% if form.value %}
                                            <img src="{{ form.value.url }}" width="50%">
                                            {% endif %}
                                            {% else %}
                                            {{ form.label }}
                                            {{ form }}
                                            {% endif %}
                                        </div>
                                    </div>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                        <button type="button" class="btn btn-outline-danger" data-toggle="modal"
                                data-target="#exampleModal">
                            Deletar produto
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Deletar produto</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                Tu tens certeza que deseja deletar esse produto?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <form action="{% url 'delete-product' product_form.instance.id %}" method="POST">
                    {% csrf_token %}

                    <button type="submit" class="btn btn-danger">Deletar</button>
                </form>
            </div>
        </div>
    </div>
</div>


{% endblock %}

